#include <bits/stdc++.h>
#include <vector>
#include <map>
using namespace std;
int xr_del(int n){
	int xr=0;
	for(int i=1;i<=n;i++){
		if(n%i==0){
		xr=xr^i;
		}
	}
	return xr;
}
int main()
{
	
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n,k;cin>>n>>k;vector<int> v;int x;vector<int> vrednosti;vrednosti.resize(k);
    for(int i=0;i<k;i++){
    	cin>>x;v.push_back(x);
	}
	for(int i=0;i<k;i++){
		cout<<xr_del(v[i])<<" ";
	}
}